<div class="animated fadeIn">
	<div class="row">
		<div class="col-lg-12">
			<div class="card">
				<div class="card-header">
					<i class="fa fa-align-justify"></i> Filters
				</div>

				<div class="card-body">

					<div class="card-body p-0">
						<table>
							<tr>
								<td valign="top"><small>All process&nbsp;&nbsp; </small></td>
								<td>
									<label class="switch switch-label switch-pill switch-outline-danger-alt">
										<input type="checkbox" class="switch-input" [(ngModel)]="allProcesses" chang="applyFilters($event)">
										<span class="switch-slider" data-checked="&#x2713;" data-unchecked="&#x2715;"></span>
									</label>
								</td>
							</tr>
							<tr>
								<td valign="top">
									<label for="vat"><small>Process ID&nbsp; &nbsp; </small></label>
								</td>
								<td>
									<div class="form-group">
										<p>
											<input type="text" class="form-control-sm" id="process_id" [(ngModel)]="process_id">
										</p>
									</div>
								</td>
							</tr>
						</table>
					</div>
				</div>
				<div class="card-footer text-center">
					<button type="button" class="btn btn-sm btn-primary" (click)="applyFilters()">
						<i class="fa fa-filter fa-sm"></i> Apply Filters
					</button>

				</div>

			</div>
		</div>
	</div>


	<div class="row">
		<div class="col-lg-12">
			<div class="card">
				<div class="card-header">
					<i class="fa fa-align-justify"></i> Logs
				</div>
				<div class="card-body">
					<table class="table">
						<thead>
							<tr>
								<th>Type</th>
								<th>Date & Time</th>
								<th>Proj Name</th>
								<th>Omeka</th>
								<th>Process Id</th>
								<th>Description</th>
								<th>User</th>
								<th style="white-space: nowrap;">Log details&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
							</tr>
						</thead>

						<tbody>
							<tr *ngFor="let _process of processList">
								<td><small>{{_process?.recipe.name}}</small></td>
								<td><small>{{_process.timestamp | date:'dd/MM/yyyy HH:mm'}}</small></td>
								<td><small>{{_process.project.name}}</small></td>
								<td><small><a href="{{omeka_url}}{{_process.project.id}}" target="_blank">{{_process.project.id}}</a></small></td>
								<td><small>{{_process.id}}</small></td>
								<td><small>{{_process.description}}</small></td>
								<td><small>{{ _process.user.username }}</small></td>
								<td>
									<div class="btn-group">
										<button type="button" class="btn btn-sm btn-primary" (click)="showDetail(_process.id)" title="Logs">
											<i class="fa fa-book"></i></button>
										&nbsp;
									</div>

									<div class="btn-group" *ngIf="_process.approval?.parent_process_id != '' && _process.approval?.approved">
										<button type="button" class="btn btn-sm btn-primary" (click)="showDetail(_process.approval?.parent_process_id)" title="Approved">
											<i class="fa fa-thumbs-o-up"></i></button>
										&nbsp;
									</div>

									<div class="btn-group" *ngIf="_process.approval?.parent_process_id != '' && !_process.approval?.approved">
										<button type="button" class="btn btn-sm btn-primary" (click)="showDetail(_process.approval?.parent_process_id)" title="Rejected">
											<i class="fa fa-thumbs-o-down"></i></button>
										&nbsp;
									</div>
									<div class="btn-group" *ngIf="_process.deployment?.parent_process_id != ''">
										<button type="button" class="btn btn-sm btn-primary" (click)="showDetail(_process.deployment?.parent_process_id)" title="Deploy">
											<i class="fa fa-truck"></i></button>
										&nbsp;
									</div>
								</td>
							</tr>
						</tbody>
					</table>
					<ul class="pagination"> 
						<li class="page-item"><a class="page-link" href="#">Prev</a></li>
						<li class="page-item active"><a class="page-link" href="#">1</a></li>
						<!--li class="page-item"><a class="page-link" href="#">2</a></li>
						<li class="page-item"><a class="page-link" href="#">3</a></li>
						<li class="page-item"><a class="page-link" href="#">4</a></li-->
						<li class="page-item"><a class="page-link" href="#">Next</a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>


<div bsModal #logDetailsModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
 aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title">
					<b>Process log details for id: </b>{{ process.id }}</h4>
				<button type="button" class="close" (click)="logDetailsModal.hide()" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div class="form-group">
					<p>
						<label for="vat">Project Name</label>
						<input type="text" class="form-control" id="project_name" value="{{ process.project?.name }}" readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Description</label> <input type="text" class="form-control" id="description" value="{{ process.project?.description }}"
						 readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="media_center">Media Center</label>
						<input type="text" class="form-control" id="media_center" value="Engine: {{ process?.media_center_configuration?.engine }}"
						 readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Device</label>
						<input type="text" class="form-control" id="device" value="{{ process.project?.device }}" readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Logs&nbsp;
							<button type="button" class="btn btn-sm btn-primary" (click)="showDetail(process.id)"><i class="fa icon-refresh"></i></button>
						</label>
						<textarea id="textarea-input" [(ngModel)]="textLogs" name="textarea-input" rows="9" class="form-control text-darki"
						 placeholder="" readonly="true"></textarea>
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Link to VM image</label><br>
						<span class="input-group-append">

							<input type="text" class="form-control" id="url_image" value="{{ process?.image_url }}" readonly="true">

							<button type="button" class="btn btn-primary" data-toggle="modal" (click)="redirectToVM(process.image_url)"
							 [disabled]="!(process?.image_url)">
								<i class="cui-magnifying-glass"></i>
							</button>
						</span>

					</p>
				</div>

			</div>

			<div class="modal-footer">
				<button type="button" class="btn btn-secondary" (click)="logDetailsModal.hide()">Close</button>
			</div>
		</div>
		<!-- /.modal-content -->
	</div>
	<!-- /.modal-dialog -->
</div>
<!-- /.modal -->
